Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now
Try in API Explorer
This API is used to update the status of offer fulfillment for the processing types url_redirect, webhook and email as Chargebee cannot automatically fulfill these offers.
If status = failed, you must include a failure_reason to explain why the fulfillment did not succeed. The system logs a fulfilled event when status = completed or a failed event when status = failed.
Note: If the offer fulfillment is not marked as completed or failed within 7 days, Chargebee will mark the offer fulfillment as failed with the error code as external_fulfillment_failed.
Sample Request
URL Format
POST https://[site].grow.chargebee.com/api/v2/offer_fulfillments/{offer-fulfillment-id}
Input Parameters
required, enumerated string
Final state of the fulfillment.
completed
Pass this if the fulfillment is completed.
failed
Pass this if the fulfillment is failed.
Returns
offer_fulfillmentOffer fulfillment object
Resource object representing offer_fulfillment